org.jfree.xml.generator

## Class ModelBuilder

- java.lang.Object
- - org.jfree.xml.generator.ModelBuilder

-     public final class ModelBuilder
      extends java.lang.Object

  A model builder. This class performs the work of creating a class description model from a set of source files.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeHandlers(java.util.Properties p)` Adds attribute handlers.
    `DescriptionModel` | `buildModel(SourceCollector c, DescriptionModel model)` Builds a model from the classes provided by the `SourceCollector`.
    `PropertyInfo` | `createSimplePropertyInfo(java.beans.PropertyDescriptor pd)` Creates a `PropertyInfo` object from a `PropertyDescriptor`.
    `static ModelBuilder` | `getInstance()` Returns the single instance of this class.
    `static boolean` | `isValidMethod(java.lang.reflect.Method method)` Checks, whether the given method can be called from the generic object factory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ModelBuilder getInstance()

      Returns the single instance of this class.
      Returns:
        the single instance of this class.

    - #### addAttributeHandlers

          public void addAttributeHandlers(java.util.Properties p)

      Adds attribute handlers.
      Parameters:
        `p` - the handlers.

    - #### buildModel

          public DescriptionModel buildModel(SourceCollector c,
                                    DescriptionModel model)

      Builds a model from the classes provided by the `SourceCollector`.

      The `DescriptionGenerator` class invokes this.

      Parameters:
        `c` - the source collector.
        `model` - the model under construction (`null` permitted).
      Returns:
        The completed model.

    - #### isValidMethod

          public static boolean isValidMethod(java.lang.reflect.Method method)

      Checks, whether the given method can be called from the generic object factory.
      Parameters:
        `method` - the method descriptor
      Returns:
        true, if the method is not null and public, false otherwise.

    - #### createSimplePropertyInfo

          public PropertyInfo createSimplePropertyInfo(java.beans.PropertyDescriptor pd)

      Creates a `PropertyInfo` object from a `PropertyDescriptor`.
      Parameters:
        `pd` - the property descriptor.
      Returns:
        the property info (`null` possible).